Ruby 1.9: multiple base errors are shown with array syntax
Category: Web Interface   

Target version: 1.2.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  
Pull request:    

Description

Under Ruby 1.9, when multiple base errors are logged (e.g. when saving a smart proxy and it's unable to query it, bad URL etc) the

UI shows:

Unable to save

["

Unable to communicate with the proxy: Connection reset by peer

", "

Please check the proxy is configured and running on the host before saving.

"]

Note the array syntax around the strings.

Associated revisions

Revision 54234fb1 - 02/25/2013 03:41 PM - Dominic Cleal

fixes #2242 - concatenate HTML errors, don't use Array#to_s on Ruby 1.9

History

#1 - 02/21/2013 10:25 AM - Dominic Cleal

- Status changed from Assigned to Ready For Testing

https://github.com/theforeman/foreman/pull/429

#2 - 02/25/2013 03:40 PM - Ohad Levy

- Target version set to 1.2.0

#3 - 02/25/2013 04:01 PM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 54234fb1b06f8df8c32f98defa9999c31b4d991a.
